h35548
s 00086/00000/00000
d D 1.1 83/03/23 16:21:05 bog 1 0
c date and time created 83/03/23 16:21:05 by bog
e
u
4
U
t
T
I 1
`############################################################################
#									    #
#	This material is confidential and is furnished under		    #
#	a written license agreement.  It may not be used,		    #
#	copied or disclosed to others except in accordance		    #
#	with the terms of that agreement.				    #
#									    #
#	Copyright (C) 1982 Graphic Software Systems, Inc.		    #
#	All rights reserved.						    #
#									    #
#	Function:  							    #
#		EmXCSt							    #
#		    Communications State Common Definition		    #
#									    #
#	Called By:							    #
#		included in most Emulator modules			    #
#									    #
#	Routines Called:						    #
#									    #
#############################################################################
',`dnl
CommonOrg
# Current communications state
CommonIVar(`MCmParS',12)	INTEGER CmParS(12)
define(`MRxBaud',1)dnl		# Receive baud rate
define(`MTxBaud',2)dnl		# Transmit baud rate
define(`MParity',3)dnl		# Parity: none, odd, even
define(`MDataBits',4)dnl	# Number of data bits
define(`MStopBits',5)dnl	# Number of stop bits
define(`MBreakMs',6)dnl		# BREAK time in milliseconds
define(`MRxFlagMode',7)dnl	# Rx flagging:  0: none, 1: string, 2: h/w
define(`MTxFlagMode',8)dnl	# Rx flagging:  0: none, 1: string, 2: h/w
define(`MRxStopStrLen',9)dnl	# Length of Rx stop string
define(`MRxGoStrLen',10)dnl	# Length of Rx go string
define(`MTxStopStrLen',11)dnl	# Length of Tx stop string
define(`MTxGoStrLen',12)dnl	# Length of Tx go string
 
# Receive stop string (like XOff)
CommonCVar(`MInStSS',FLAGSTRINGDIM)	CHARACTER InStSS(FLAGSTRINGDIM)
 
# Receive go string (like XOn)
CommonCVar(`MInGoSS',FLAGSTRINGDIM)	CHARACTER InGoSS(FLAGSTRINGDIM)
 
# Transmit stop string (like XOff)
CommonCVar(`MOtStSS',FLAGSTRINGDIM)	CHARACTER OtStSS(FLAGSTRINGDIM)
 
# Transmit go string (like XOn)
CommonCVar(`MOtGoSS',FLAGSTRINGDIM)	CHARACTER OtGoSS(FLAGSTRINGDIM)
 
# Emulator level parity control
CommonCVar(`MPOnOff')		CHARACTER POnOff
define(`NOPARITY',0)dnl
define(`ODDPARITY',1)dnl
define(`EVENPARITY',2)dnl
define(`ONPARITY',3)dnl
define(`OFFPARITY',4)dnl
 
# True if communications channel currently open
CommonLVar(`MCOpenS')		LOGICAL COpenS
 
# Index of current baud rate
CommonCVar(`MBaudIx')		CHARACTER BaudIx
 
# Flag that some menu item has changed some comm parameter; also used at Init
CommonLVar(`MComChg')		LOGICAL ComChg
 
# Temporary CHARACTER length of string holder
CommonCVar(`MTmpStL')		CHARACTER TmpStL
 
CommonCArray(`CCmSt')
CommonIArray(`ICmSt')
CommonLArray(`LCmSt')
',`dnl
Common	/EmCmSt/ CCmSt,ICmSt,LCmSt
',`dnl
Equivalence	(CmParS(1),	ICmSt(MCmParS))
Equivalence	(InStSS(1),	CCmSt(MInStSS))
Equivalence	(InGoSS(1),	CCmSt(MInGoSS))
Equivalence	(OtStSS(1),	CCmSt(MOtStSS))
Equivalence	(OtGoSS(1),	CCmSt(MOtGoSS))
Equivalence	(POnOff,	CCmSt(MPOnOff))
Equivalence	(COpenS,	LCmSt(MCOpenS))
Equivalence	(BaudIx,	CCmSt(MBaudIx))
Equivalence	(ComChg,	LCmSt(MComChg))
Equivalence	(TmpStL,	CCmSt(MTmpStL))
'dnl
E 1
